# Copyright 2014 Paul Hänsch
#
# This file is part of Confetti.
# 
# Confetti is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# Confetti is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# 
# You should have received a copy of the GNU Affero General Public License
# along with Confetti.  If not, see <http://www.gnu.org/licenses/>. 

edit="$_GET[\"edit\"]"

check_order(){
  [ "$_GET[\"order\"]" = "$1" ] && echo 'checked="checked"'
}

cat <<EOF
<div class="sort">
  <form class="search" action="/" method="GET">
    <input type="hidden" name="page" value="courses"/>
    <input type="hidden" name="edit" value="$edit"/>
    <span class="label">$(l10n sort_order):</span>
    <input type="radio" name="order" value="DOW" $(check_order DOW)>$(l10n order_DOW)</input>
    <input type="radio" name="order" value="TOD" $(check_order TOD)>$(l10n order_TOD)</input>
    <br>
    <button type="submit" name="" value="">$(l10n order_apply)</button>
  </form>
</div>

<div class="newcourse">
  <form action="?action=new_course" method="POST">
    <button type="submit">$(l10n newcourse)</button>
  </form>
</div>

<div class="courselist">
$(
[ -f "ical/$edit" -o -f "temp/$edit" ] && edit_course "$edit"
if [ "$?" = 0 ]; then
  listcourses |grep -v "$edit"
else
  listcourses
fi |while read card; do
  view_course "$card"
done
)
</div>
EOF

# vi:set filetype=html:
